## networking-bgpvpn 22.0.0

=== debian/changelog ===
networking-bgpvpn (22.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 22:05:49 +0200

=== debian/control ===
Source: networking-bgpvpn
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-debtcollector (>= 1.19.0),
 python3-django-horizon (>= 4:17.1.0),
 python3-django-nose (>= 1.4.4),
 python3-hacking,
 python3-networking-bagpipe (>= 12.0.0),
 python3-neutron (>= 2:23.0.0~b2),
 python3-neutron-lib (>= 1.30.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.policy (>= 3.12.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql (>= 0.7.6),
 python3-pytest (>= 5.3.5),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-bgpvpn
Homepage: https://opendev.org/openstack/networking-bgpvpn

Package: networking-bgpvpn-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-networking-bgpvpn (<< 9.0.0~b2-0ubuntu2~),
Replaces:
 python-networking-bgpvpn (<< 9.0.0~b2-0ubuntu2~),
Description: BGP-MPLS VPN Extension for OpenStack Networking (common)
 This project provides an API and Framework to interconnect BGP/MPLS VPNs
 to Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely
 used Wide Area Networking technologies. The primary purpose of this project
 is to allow attachment of Neutron networks and/or routers to VPNs built in
 carrier provided WANs using these standard protocols. An additional purpose
 of this project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 This package provides common configuration files.

Package: python-networking-bgpvpn-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: BGP-MPLS VPN Extension for OpenStack Networking (common documentation)
 This project provides an API and Framework to interconnect BGP/MPLS VPNs
 to Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely
 used Wide Area Networking technologies. The primary purpose of this project
 is to allow attachment of Neutron networks and/or routers to VPNs built in
 carrier provided WANs using these standard protocols. An additional purpose
 of this project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 This is the common documentation package.

Package: python3-networking-bgpvpn
Architecture: all
Depends:
 networking-bgpvpn-common (= ${source:Version}),
 python3-debtcollector (>= 1.19.0),
 python3-django-horizon (>= 4:17.1.0),
 python3-networking-bagpipe (>= 12.0.0),
 python3-neutron (>= 2:23.0.0~b2),
 python3-neutron-lib (>= 1.30.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 4.0.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-networking-bgpvpn-doc,
Description: BGP-MPLS VPN Extension for OpenStack Networking (Python 3)
 This project provides an API and Framework to interconnect BGP/MPLS VPNs
 to Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely
 used Wide Area Networking technologies. The primary purpose of this project
 is to allow attachment of Neutron networks and/or routers to VPNs built in
 carrier provided WANs using these standard protocols. An additional purpose
 of this project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-bgpvpn/ networking_bgpvpn-(22\.\d.*)\.tar\.gz

## networking-bgpvpn 22.0.0+git2025070714.c1b2ffb

=== debian/changelog ===
networking-bgpvpn (22.0.0+git2025070714.c1b2ffb-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.
  * d/control: update maintainer to Ubuntu Devel

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs. 

 -- Myles Penner <myles.penner@canonical.com>  Fri, 18 Jul 2025 08:07:44 -0700

## networking-bgpvpn 23.0.0~rc1

=== debian/changelog ===
networking-bgpvpn (23.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 10:31:39 +0000

networking-bgpvpn (23.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:58:57 +0200

networking-bgpvpn (23.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * No need to rm -r usr/etc anymore.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 09:13:57 +0200

networking-bgpvpn (22.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:29:41 +0200

networking-bgpvpn (22.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:26:13 +0100

networking-bgpvpn (22.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed version of python3-neutron depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 08:57:12 +0100

## networking-bgpvpn 23.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=4.0.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.db>=4.37.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
neutron-lib>=1.30.0 # Apache-2.0
debtcollector>=1.19.0 # Apache-2.0

# OpenStack CI will install the following projects from git
# if they are in the required-projects list for a job:
neutron>=23.0.0.0b2 # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.policy>=3.12.0 # Apache-2.0

=== debian/changelog ===
networking-bgpvpn (23.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 23:29:20 +0200

=== debian/control ===
Source: networking-bgpvpn
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
Build-Depends-Indep:
 openstack-dashboard,
 python3-bcrypt,
 python3-coverage,
 python3-debtcollector,
 python3-django-horizon,
 python3-isort,
 python3-networking-bagpipe,
 python3-neutron (>= 2:26.0.0~),
 python3-neutron-lib (>= 3.18.2),
 python3-openstackdocstheme,
 python3-os-testr,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-psycopg2,
 python3-pymysql,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-webtest,
 subunit,
Standards-Version: 4.5.0
Homepage: http://github.com/openstack/networking-bgpvpn
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-bgpvpn
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-bgpvpn.git

Package: networking-bgpvpn-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack virtual network service - BGP-MPLS VPN Extension - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides an API and Framework to interconnect BGP/MPLS VPNs to
 Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely used
 Wide Area Networking technologies. The primary purpose of this project is to
 allow attachment of Neutron networks and/or routers to VPNs built in carrier
 provided WANs using these standard protocols. An additional purpose of this
 project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 A vendor-neutral API and data model are provided such that multiple SDN
 controllers may be used as backends, while offering the same tenant facing
 API. A reference implementation working along with Neutron reference drivers
 is also provided.
 .
 This package contains the documentation.

Package: python3-networking-bgpvpn
Architecture: all
Section: python
Depends:
 python3-bcrypt,
 python3-debtcollector,
 python3-django-horizon,
 python3-networking-bagpipe,
 python3-neutron (>= 2:26.0.0~),
 python3-neutron-lib (>= 3.18.2),
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-sphinx,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 networking-bgpvpn-doc,
Description: OpenStack virtual network service - BGP-MPLS VPN Extension - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides an API and Framework to interconnect BGP/MPLS VPNs to
 Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely used
 Wide Area Networking technologies. The primary purpose of this project is to
 allow attachment of Neutron networks and/or routers to VPNs built in carrier
 provided WANs using these standard protocols. An additional purpose of this
 project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 A vendor-neutral API and data model are provided such that multiple SDN
 controllers may be used as backends, while offering the same tenant facing
 API. A reference implementation working along with Neutron reference drivers
 is also provided.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf build .stestr *.egg-info doc/source/_static
	mkdir -p doc/source/_static
	touch doc/source/_static/.placeholder
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

	mkdir -p $(CURDIR)/debian/python3-networking-bgpvpn/etc/neutron
	PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-networking-bgpvpn/etc/neutron/networking_bgpvpn.conf \
		--wrap-width 140 \
		--namespace networking-bgpvpn.service_provider

	mkdir -p $(CURDIR)/debian/python3-networking-bgpvpn/etc/neutron/policy.d
	PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/python3-networking-bgpvpn/etc/neutron/policy.d/bgpvpn.conf \
		--format json \
		--namespace networking-bgpvpn

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'networking_bgpvpn\.tests.*'
endif

	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/networking-bgpvpn-doc/usr/share/doc/networking-bgpvpn-doc/html
	dh_sphinxdoc
endif

=== debian/tests/control ===
Tests: unittests
Depends:
 @,
 @builddeps@,
Restrictions: allow-stderr needs-root
Architecture: amd64 arm64 ppc64el

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/networking-bgpvpn/tags .*/(\d[brc\d\.]+)\.tar\.gz

## networking-bgpvpn 23.0.0+git20260112.12.9e845af

=== debian/changelog ===
networking-bgpvpn (23.0.0+git20260112.12.9e845af-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: remove for snapshot
  * New upstream version 23.0.0+git20260112.12.9e845af
  * New upstream snapshot from 9e845af08ec29e808af6f35632dd35169ddc1ce9
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Thu, 22 Jan 2026 15:46:40 -0800

networking-bgpvpn (23.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Oct 2025 09:26:30 -0700

networking-bgpvpn (23.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/networking-bgpvpn-common.install: Remove as /etc/neutron is
    no longer a configuration install location.
  * d/networking-bgpvpn-common.maintscript: Remove 
    /etc/neutron/networking_bgpvpn.conf from prior versions on upgrade.
    New version installs to a different location. 

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 15:16:06 -0700

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/networking-bgpvpn/ networking_bgpvpn-(\d{1,2}\.\d.*)\.tar\.gz
